curl "https://customerDomain.ambersearch.de/api/beta/search?query=example&count=50" \
-H "Authorization: Bearer ambrs-exampletoken"
import requests
response = requests.get(
"https://customerDomain.ambersearch.de/api/beta/search",
headers = {
"Authorization": "Bearer ambrs-exampletoken"
},
params = {
"query": "example",
"count": 50
}
)
print(response.json())
const axios = require("axios");
axios
.get("https://customerDomain.ambersearch.de/api/beta/search", {
headers: {
Authorization: "Bearer ambrs-exampletoken",
},
params: {
query: "example",
count: 50,
},
})
.then((res) => console.log(res.data));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Endpoints
Search full text
Perform a full text search across documents.
This endpoint allows searching through documents with various filtering options. The search results are cleaned to include only whitelisted attributes.
GET
/
api
/
beta
/
search
curl "https://customerDomain.ambersearch.de/api/beta/search?query=example&count=50" \
-H "Authorization: Bearer ambrs-exampletoken"
import requests
response = requests.get(
"https://customerDomain.ambersearch.de/api/beta/search",
headers = {
"Authorization": "Bearer ambrs-exampletoken"
},
params = {
"query": "example",
"count": 50
}
)
print(response.json())
const axios = require("axios");
axios
.get("https://customerDomain.ambersearch.de/api/beta/search", {
headers: {
Authorization: "Bearer ambrs-exampletoken",
},
params: {
query: "example",
count: 50,
},
})
.then((res) => console.log(res.data));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}curl "https://customerDomain.ambersearch.de/api/beta/search?query=example&count=50" \
-H "Authorization: Bearer ambrs-exampletoken"
import requests
response = requests.get(
"https://customerDomain.ambersearch.de/api/beta/search",
headers = {
"Authorization": "Bearer ambrs-exampletoken"
},
params = {
"query": "example",
"count": 50
}
)
print(response.json())
const axios = require("axios");
axios
.get("https://customerDomain.ambersearch.de/api/beta/search", {
headers: {
Authorization: "Bearer ambrs-exampletoken",
},
params: {
query: "example",
count: 50,
},
})
.then((res) => console.log(res.data));
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The search query string
Minimum string length:
1Example:
"project documentation"
Number of results to return
Required range:
1 <= x <= 100Example:
20
Filter results by data source.
**Possible values:** * `confluence` - Atlassian Confluence * `jira` - Atlassian Jira * `gitlab` - GitLab * `sharepoint_online` - Microsoft SharePoint Online * `outlook` - Microsoft Outlook * `windowsshares` - Windows File Shares * `other` - Other supported data sources
Example:
"confluence,jira"
Filter results by file type.
**Possible values:** * `pdf` - PDF documents * `word` - Microsoft Word documents * `powerpoint` - Microsoft PowerPoint presentations * `excel` - Microsoft Excel spreadsheets * `email` - Email messages * `directory` - Directory/folder structures * `html` - HTML files * `txt` - Text files * `compressed` - Compressed archive files * `image` - Image files * `message` - Message files * `task` - Task files * `issue` - Issue tracking files * `wiki` - Wiki pages * `news` - News articles * `page` - Web pages * `onenote` - OneNote files * `comment` - Comment files * `other` - Other file types
Example:
"pdf,word"
Filter results by last modified date.
**Possible values:** * `threeday` - Last three days * `week` - Last week * `month` - Last month * `threemonth` - Last three months * `year` - Last year * `fiveyear` - Last five years * Custom time range format: `YYYY-MM-DDThh:mm:ss.sssZ_YYYY-MM-DDThh:mm:ss.sssZ` **Example:** `2024-02-01T00:00:00.000Z_2024-02-25T23:59:59.999Z
Example:
"month"
Starting page for pagination
Required range:
x >= 0Example:
0
Response
Successful Response